Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface MapCapable

All Known Subinterfaces:
  DeploymentProgress, DeploymentSource, DeploymentStatus, OperationStatus

All Known Implementing Classes:
  DeploymentProgressImpl, DeploymentSourceImpl, DeploymentStatusImpl, MapCapableBase, OperationStatusBase

public interface MapCapable

Interface which states that the object can be converted into a Map.

Field Summary
`static java.lang.String` | `MAP_CAPABLE_CLASS_NAME_KEY` The key for the type of Object this Map represents; all MapCapable objects will place their classname keyed by this key as a String into the Map returned from asMap().

Method Summary
`java.util.Map` | `asMap()` To be capable of being serialized and deserialized by generic clients, the following rules must be observed for the resulting Map.
`java.lang.String` | `getMapClassName()` Return the interface that this Map represents (the Java classname).

Field Detail

### MAP_CAPABLE_CLASS_NAME_KEY

    public static final java.lang.String MAP_CAPABLE_CLASS_NAME_KEY

  The key for the type of Object this Map represents; all MapCapable objects will place their classname keyed by this key as a String into the Map returned from asMap().

  See Also:
    Constant Field Values

Method Detail

### asMap

    public java.util.Map asMap()

  To be capable of being serialized and deserialized by generic clients, the following rules must be observed for the resulting Map.

  The Map itself and any items it references, directly or indirectly must be of a class of one of the following:

  - any JMX OpenType
  - any serializable Collection in java.util whose items meet these rules
  - arrays of items whose values meet these rules
  - any Throwable found in java. or javax.
  - any MapCapable which can produce a Map following these rules

  Returns:
    an equivalent Map representing the original object.

### getMapClassName

    public java.lang.String getMapClassName()

  Return the interface that this Map represents (the Java classname).

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.